[package - 13stable-armv6-quarterly][devel/rubygem-rugged] Failed for rubygem-rugged-1.0.1 in stage/runaway

pkg-fallout at FreeBSD.org pkg-fallout at FreeBSD.org
Tue Jan 26 17:25:17 UTC 2021


You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     mfechner at FreeBSD.org
Last committer: mfechner at FreeBSD.org
Ident:          $FreeBSD: branches/2021Q1/devel/rubygem-rugged/Makefile 540390 2020-06-25 13:31:12Z mfechner $
Log URL:        http://beefy8.nyi.freebsd.org/data/13stable-armv6-quarterly/562611/logs/rubygem-rugged-1.0.1.log
Build URL:      http://beefy8.nyi.freebsd.org/build.html?mastername=13stable-armv6-quarterly&build=562611
Log:

=>> Building devel/rubygem-rugged
build started at Tue Jan 26 10:48:28 UTC 2021
port directory: /usr/ports/devel/rubygem-rugged
package name: rubygem-rugged-1.0.1
building for: FreeBSD 13stable-armv6-quarterly-job-16 13.0-ALPHA2 FreeBSD 13.0-ALPHA2 1300136 arm
maintained by: mfechner at FreeBSD.org
Makefile ident:      $FreeBSD: branches/2021Q1/devel/rubygem-rugged/Makefile 540390 2020-06-25 13:31:12Z mfechner $
Poudriere version: 3.2.8-8-gaf08dbda
Host OSVERSION: 1300121
Jail OSVERSION: 1300136
Job Id: 16




!!! Jail is newer than host. (Jail: 1300136, Host: 1300121) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_p=armv6
UNAME_m=arm
ABI_FILE=/usr/lib/crt1.o
OSVERSION=1300136
UNAME_v=FreeBSD 13.0-ALPHA2 1300136
UNAME_r=13.0-ALPHA2
BLOCKSIZE=K
MAIL=/var/mail/root
MM_CHARSET=UTF-8
LANG=C.UTF-8
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
QEMU_EMULATING=1
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.8-8-gaf08dbda
MASTERMNT=/usr/local/poudriere/data/.m/13stable-armv6-quarterly/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/13stable-armv6-quarterly/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=13stable-armv6-quarterly
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/13stable-armv6-quarterly/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
---End OPTIONS List---

--MAINTAINER--
mfechner at FreeBSD.org
--End MAINTAINER--

--CONFIGURE_ARGS--
--use-system-libraries
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PKG_CONFIG=pkgconf XDG_DATA_HOME=/wrkdirs/usr/ports/devel/rubygem-rugged/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/rubygem-rugged/work  HOME=/wrkdirs/usr/ports/devel/rubygem-rugged/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/devel/rubygem-rugged/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/rubygem-rugged/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/rubygem-rugged/work  HOME=/wrkdirs/usr/ports/devel/rubygem-rugged/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/devel/rubygem-rugged/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 PREFIX=/usr/local  LOCALBASE=/usr/local  CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe  -fstack-protector-strong -fno-strict-aliasing "  CPP="/nxb-bin/usr/bin/cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector-strong " LIBS=""  CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe -fstack-protector-strong -fno-strict-aliasing  "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
RUBY_LIBDIR="lib/ruby/2.7" RUBY_ARCHLIBDIR="lib/ruby/2.7/armv6-freebsd13" RUBY_SITELIBDIR="lib/ruby/site_ruby/2.7" RUBY_SITEARCHLIBDIR="lib/ruby/site_ruby/2.7/armv6-freebsd13" RUBY_VENDORLIBDIR="lib/ruby/vendor_ruby/2.7" RUBY_VENDORARCHLIBDIR="lib/ruby/vendor_ruby/2.7/armv6-freebsd13" RUBY_MODDOCDIR="share/doc/ruby27/rugged" RUBY_MODEXAMPLESDIR="share/examples/ruby27/rugged" RUBY_DOCDIR="share/doc/ruby27" RUBY_EXAMPLESDIR="share/examples/ruby27" RUBY_RIDIR="share/ri/2.7/system" RUBY_SITERIDIR="share/ri/2.7/site"  RUBY_VERSION="2.7.2"  RUBY_VER="2.7"  RUBY_SHLIBVER="27"  RUBY_ARCH="armv6-freebsd13"  RUBY_SUFFIX="27"  RUBY_NAME="ruby27"  RUBY_DEFAULT_SUFFIX="27"  RUBY25="@comment "  RUBY26="@comment "  RUBY27=""  RUBY30="@comment " PORTVERSION="1.0.1"  REV=""  GEMS_BASE_DIR="lib/ruby/gems/2.7"  GEMS_DIR="lib/ruby/gems/2.7/gems"  DOC_DIR="lib/ruby/gems/2.7/doc"  CACHE_DIR="lib/ruby/gems/2.7/cache"  SPEC_DIR="lib/ruby/gems/2.7/specifications"  EXT_DIR="lib/ruby/gems/2.7/extensions"  PORT
 ="rugged-1.0.1"  GEM_NAME="rugged-1.0.1"  GEM_LIB_DIR="lib/ruby/gems/2.7/gems/rugged-1.0.1"  GEM_DOC_DIR="lib/ruby/gems/2.7/doc/rugged-1.0.1"  GEM_SPEC="lib/ruby/gems/2.7/specifications/rugged-1.0.1.gemspec"  GEM_CACHE="lib/ruby/gems/2.7/cache/rugged-1.0.1.gem"  EXTRACT_SUFX=".gem" OSREL=13.0 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/rugged"  EXAMPLESDIR="share/examples/rugged"  DATADIR="share/rugged"  WWWDIR="www/rugged"  ETCDIR="etc/rugged"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/rugged DOCSDIR=/usr/local/share/doc/rugged EXAMPLESDIR=/usr/local/share/examples/rugged  WWWDIR=/usr/local/www/rugged ETCDIR=/usr/local/etc/rugged
--End SUB_LIST--

---Begin make.conf---
.sinclude "/etc/make.nxb.conf"
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
MACHINE=arm
MACHINE_ARCH=armv6
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_9d218390=FreeBSD clang version 11.0.1 (git at github.com:llvm/llvm-project.git llvmorg-11.0.1-0-g43ff75f2c3fe) Target: armv6-unknown-freebsd13.0-gnueabihf Thread model: posix InstalledDir: /nxb-bin/usr/bin
_ALTCCVERSION_9d218390=none
_CXXINTERNAL_9c45a5b1=FreeBSD clang version 11.0.1 (git at github.com:llvm/llvm-project.git llvmorg-11.0.1-0-g43ff75f2c3fe) Target: armv6-unknown-freebsd13.0-gnueabihf Thread model: posix InstalledDir: /nxb-bin/usr/bin "/nxb-bin/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_9d218390_58173849=yes
CC_OUTPUT_9d218390_9bdba57c=yes
CC_OUTPUT_9d218390_6a4fe7f5=yes
CC_OUTPUT_9d218390_6bcac02b=yes
CC_OUTPUT_9d218390_67d20829=yes
CC_OUTPUT_9d218390_bfa62e83=yes
CC_OUTPUT_9d218390_f0b4d593=yes
CC_OUTPUT_9d218390_308abb44=yes
CC_OUTPUT_9d218390_f00456e5=yes
CC_OUTPUT_9d218390_65ad290d=yes
CC_OUTPUT_9d218390_f2776b26=yes
CC_OUTPUT_9d218390_b2657cc3=yes
CC_OUTPUT_9d218390_380987f7=yes
CC_OUTPUT_9d218390_160933ec=yes
CC_OUTPUT_9d218390_fb62803b=yes
_OBJC_CCVERSION_9d218390=FreeBSD clang version 11.0.1 (git at github.com:llvm/llvm-project.git llvmorg-11.0.1-0-g43ff75f2c3fe) Target: armv6-unknown-freebsd13.0-gnueabihf Thread model: posix InstalledDir: /nxb-bin/usr/bin
_OBJC_ALTCCVERSION_9d218390=none
ARCH=armv6
OPSYS=FreeBSD
_OSRELEASE=13.0-ALPHA2
OSREL=13.0
OSVERSION=1300136
PYTHONBASE=/usr/local
CONFIGURE_MAX_CMD_LEN=524288
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
---Begin make.nxb.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
---End make.nxb.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License MIT accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   rubygem-rugged-1.0.1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.16.1.txz
[13stable-armv6-quarterly-job-16] Installing pkg-1.16.1...
[13stable-armv6-quarterly-job-16] Extracting pkg-1.16.1: .......... done
===>   rubygem-rugged-1.0.1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of rubygem-rugged-1.0.1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by rubygem-rugged-1.0.1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by rubygem-rugged-1.0.1 for building
=> SHA256 Checksum OK for rubygem/rugged-1.0.1.gem.
===========================================================================
=======================<phase: extract-depends>============================
===>   rubygem-rugged-1.0.1 depends on file: /usr/local/bin/ruby27 - not found
===>   Installing existing package /packages/All/ruby-2.7.2_1,1.txz
[13stable-armv6-quarterly-job-16] Installing ruby-2.7.2_1,1...
[13stable-armv6-quarterly-job-16] `-- Installing libedit-3.1.20191231,1...
[13stable-armv6-quarterly-job-16] `-- Extracting libedit-3.1.20191231,1: .......... done
[13stable-armv6-quarterly-job-16] `-- Installing libffi-3.3_1...
[13stable-armv6-quarterly-job-16] |   `-- Installing indexinfo-0.3.1...
[13stable-armv6-quarterly-job-16] |   `-- Extracting indexinfo-0.3.1: .... done
[13stable-armv6-quarterly-job-16] `-- Extracting libffi-3.3_1: .......... done
[13stable-armv6-quarterly-job-16] `-- Installing libyaml-0.2.5...
[13stable-armv6-quarterly-job-16] `-- Extracting libyaml-0.2.5: ......... done
[13stable-armv6-quarterly-job-16] Extracting ruby-2.7.2_1,1: .......... done
=====
Message from ruby-2.7.2_1,1:

--
Some of the standard commands are provided as separate ports for ease
of upgrading:

	devel/ruby-gems:		gem - RubyGems package manager
	devel/rubygem-irb:		irb - Interactive Ruby
	devel/rubygem-rake:		rake - Ruby Make
	devel/rubygem-rdoc:		rdoc - Ruby Documentation System
	sysutils/rubygem-bundler:	bundler - Tool that manages gem dependencies for ruby applications

And some of the standard libraries are provided as separate ports
since they require extra dependencies:

	databases/rubygem-dbm:	DBM module
	databases/rubygem-gdbm:	GDBM module

Install them as occasion demands.
===>   rubygem-rugged-1.0.1 depends on file: /usr/local/bin/ruby27 - found
===>   Returning to build of rubygem-rugged-1.0.1
===>   rubygem-rugged-1.0.1 depends on file: /usr/local/bin/gem27 - not found
===>   Installing existing package /packages/All/ruby27-gems-3.0.8.txz
[13stable-armv6-quarterly-job-16] Installing ruby27-gems-3.0.8...
[13stable-armv6-quarterly-job-16] Extracting ruby27-gems-3.0.8: .......... done
===>   rubygem-rugged-1.0.1 depends on file: /usr/local/bin/gem27 - found
===>   Returning to build of rubygem-rugged-1.0.1
===========================================================================
=======================<phase: extract        >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by rubygem-rugged-1.0.1 for building
===>  Extracting for rubygem-rugged-1.0.1
=> SHA256 Checksum OK for rubygem/rugged-1.0.1.gem.
qemu: unsupported syscall: 577 (calling anyway)
qemu: unsupported syscall: 577 (calling anyway)
/usr/local/lib/ruby/site_ruby/2.7/rubygems/package.rb:509: warning: Using the last argument as keyword parameters is deprecated
Unpacked gem: '/wrkdirs/usr/ports/devel/rubygem-rugged/work/rugged-1.0.1'
qemu: unsupported syscall: 577 (calling anyway)
qemu: unsupported syscall: 577 (calling anyway)
/usr/local/lib/ruby/site_ruby/2.7/rubygems/package.rb:509: warning: Using the last argument as keyword parameters is deprecated
===========================================================================
=======================<phase: patch-depends  >============================
===>   rubygem-rugged-1.0.1 depends on file: /usr/local/bin/ruby27 - found
===========================================================================
=======================<phase: patch          >============================
===>  Patching for rubygem-rugged-1.0.1
===========================================================================
=======================<phase: build-depends  >============================
===>   rubygem-rugged-1.0.1 depends on package: libgit2>=1.0 - not found
===>   Installing existing package /packages/All/libgit2-1.0.1.txz
[13stable-armv6-quarterly-job-16] Installing libgit2-1.0.1...
[13stable-armv6-quarterly-job-16] `-- Installing libssh2-1.9.0_3,3...
[13stable-armv6-quarterly-job-16] `-- Extracting libssh2-1.9.0_3,3: .......... done
[13stable-armv6-quarterly-job-16] `-- Installing pcre-8.44...
[13stable-armv6-quarterly-job-16] `-- Extracting pcre-8.44: .......... done
[13stable-armv6-quarterly-job-16] Extracting libgit2-1.0.1: .......... done
===>   rubygem-rugged-1.0.1 depends on package: libgit2>=1.0 - found
===>   Returning to build of rubygem-rugged-1.0.1
===>   rubygem-rugged-1.0.1 depends on file: /usr/local/bin/ruby27 - found
===>   rubygem-rugged-1.0.1 depends on file: /usr/local/bin/gem27 - found
===>   rubygem-rugged-1.0.1 depends on package: pkgconf>=1.3.0_1 - not found
===>   Installing existing package /packages/All/pkgconf-1.7.3,1.txz
[13stable-armv6-quarterly-job-16] Installing pkgconf-1.7.3,1...
[13stable-armv6-quarterly-job-16] Extracting pkgconf-1.7.3,1: .......... done
===>   rubygem-rugged-1.0.1 depends on package: pkgconf>=1.3.0_1 - found
===>   Returning to build of rubygem-rugged-1.0.1
===========================================================================
=======================<phase: lib-depends    >============================
===>   rubygem-rugged-1.0.1 depends on shared library: libgit2.so - found (/usr/local/lib/libgit2.so)
===>   rubygem-rugged-1.0.1 depends on shared library: libgmp.so - not found
===>   Installing existing package /packages/All/gmp-6.2.1.txz
[13stable-armv6-quarterly-job-16] Installing gmp-6.2.1...
[13stable-armv6-quarterly-job-16] Extracting gmp-6.2.1: .......... done
===>   rubygem-rugged-1.0.1 depends on shared library: libgmp.so - found (/usr/local/lib/libgmp.so)
===>   Returning to build of rubygem-rugged-1.0.1
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for rubygem-rugged-1.0.1
===========================================================================
=======================<phase: build          >============================
===>  Building for rubygem-rugged-1.0.1
qemu: unsupported syscall: 577 (calling anyway)
qemu: unsupported syscall: 577 (calling anyway)
  Successfully built RubyGem
  Name: rugged
  Version: 1.0.1
  File: rugged-1.0.1.gem
===========================================================================
=======================<phase: run-depends    >============================
===>   rubygem-rugged-1.0.1 depends on file: /usr/local/bin/ruby27 - found
===>   rubygem-rugged-1.0.1 depends on file: /usr/local/bin/gem27 - found
===========================================================================
=======================<phase: stage          >============================
===>  Staging for rubygem-rugged-1.0.1
===>   Generating temporary packing list
(cd /wrkdirs/usr/ports/devel/rubygem-rugged/work/rugged-1.0.1; /usr/bin/env RB_USER_INSTALL=yes LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 /usr/local/bin/gem27 install -l --no-update-sources --install-dir /wrkdirs/usr/ports/devel/rubygem-rugged/work/stage/usr/local/lib/ruby/gems/2.7 --ignore-dependencies --bindir=/wrkdirs/usr/ports/devel/rubygem-rugged/work/stage/usr/local/bin --no-document rugged-1.0.1.gem -- --use-system-libraries)
qemu: unsupported syscall: 577 (calling anyway)
qemu: unsupported syscall: 577 (calling anyway)
/usr/local/lib/ruby/site_ruby/2.7/rubygems/package.rb:509: warning: Using the last argument as keyword parameters is deprecated
/usr/local/lib/ruby/site_ruby/2.7/rubygems/package.rb:509: warning: Using the last argument as keyword parameters is deprecated
Building native extensions with: '--use-system-libraries'
This could take a while...
=>> Killing runaway build after 21600 seconds with no output


More information about the freebsd-pkg-fallout mailing list